let { LitElement, html, css } = modLoad('lit-element');
let { BaseElement } = modLoad('base-element');

// Defined as <jadex-privacy> tag
class PrivacyElement extends BaseElement 
{
	render() 
	{
		return html`
			<div class="jumbotron jumbotron-fluid m-3 p-3">
				<div class="row">
					<div class="col-12" class="${language.getLanguage()? 'visible': 'hidden'}">
						<h4>Privacy Policy</h4>
	
						<p>We are very delighted that you have shown interest in our enterprise. Data protection is of a particularly high priority for the management of the Actoron GmbH. The use of the Internet pages of the Actoron GmbH is possible without any indication of personal data; however, if a data subject wants to use special enterprise services via our website, processing of personal data could become necessary. If the processing of personal data is necessary and there is no statutory basis for such processing, we generally obtain consent from the data subject.</p>
	
						<p>The processing of personal data, such as the name, address, e-mail address, or telephone number of a data subject shall always be in line with the General Data Protection Regulation (GDPR), and in accordance with the country-specific data protection regulations applicable to the Actoron GmbH. By means of this data protection declaration, our enterprise would like to inform the general public of the nature, scope, and purpose of the personal data we collect, use and process. Furthermore, data subjects are informed, by means of this data protection declaration, of the rights to which they are entitled.</p>
	
						<p>As the controller, the Actoron GmbH has implemented numerous technical and organizational measures to ensure the most complete protection of personal data processed through this website. However, Internet-based data transmissions may in principle have security gaps, so absolute protection may not be guaranteed. For this reason, every data subject is free to transfer personal data to us via alternative means, e.g. by telephone. </p>
	
						<h4>1. Definitions</h4>
				
						<p>The data protection declaration of the Actoron GmbH is based on the terms used by the European legislator for the adoption of the General Data Protection Regulation (GDPR). Our data protection declaration should be legible and understandable for the general public, as well as our customers and business partners. To ensure this, we would like to first explain the terminology used.</p>
	
						<p>In this data protection declaration, we use, inter alia, the following terms:</p>
	
						<ul style="list-style: none">
						<li><h4>a)    Personal data</h4>
							<p>Personal data means any information relating to an identified or identifiable natural person ("data subject""). An identifiable natural person is one who can be identified, directly or indirectly, in particular by reference to an identifier such as a name, an identification number, location data, an online identifier or to one or more factors specific to the physical, physiological, genetic, mental, economic, cultural or social identity of that natural person.</p>
						</li>
						<li><h4>b) Data subject</h4>
							<p>Data subject is any identified or identifiable natural person, whose personal data is processed by the controller responsible for the processing.</p>
						</li>
						<li><h4>c)    Processing</h4>
							<p>Processing is any operation or set of operations which is performed on personal data or on sets of personal data, whether or not by automated means, such as collection, recording, organisation, structuring, storage, adaptation or alteration, retrieval, consultation, use, disclosure by transmission, dissemination or otherwise making available, alignment or combination, restriction, erasure or destruction. </p>
						</li>
						<li><h4>d)    Restriction of processing</h4>
						<p>Restriction of processing is the marking of stored personal data with the aim of limiting their processing in the future. </p>
						</li>
						<li><h4>e)    Profiling</h4>
						<p>Profiling means any form of automated processing of personal data consisting of the use of personal data to evaluate certain personal aspects relating to a natural person, in particular to analyse or predict aspects concerning that natural person's performance at work, economic situation, health, personal preferences, interests, reliability, behaviour, location or movements. </p>
						</li>
						<li><h4>f)     Pseudonymisation</h4>
						<p>Pseudonymisation is the processing of personal data in such a manner that the personal data can no longer be attributed to a specific data subject without the use of additional information, provided that such additional information is kept separately and is subject to technical and organisational measures to ensure that the personal data are not attributed to an identified or identifiable natural person. </p>
						</li>
						<li><h4>g)    Controller or controller responsible for the processing</h4>
						<p>Controller or controller responsible for the processing is the natural or legal person, public authority, agency or other body which, alone or jointly with others, determines the purposes and means of the processing of personal data; where the purposes and means of such processing are determined by Union or Member State law, the controller or the specific criteria for its nomination may be provided for by Union or Member State law. </p>
						</li>
						<li><h4>h)    Processor</h4>
						<p>Processor is a natural or legal person, public authority, agency or other body which processes personal data on behalf of the controller. </p>
						</li>
						<li><h4>i)      Recipient</h4>
						<p>Recipient is a natural or legal person, public authority, agency or another body, to which the personal data are disclosed, whether a third party or not. However, public authorities which may receive personal data in the framework of a particular inquiry in accordance with Union or Member State law shall not be regarded as recipients; the processing of those data by those public authorities shall be in compliance with the applicable data protection rules according to the purposes of the processing. </p>
						</li>
						<li><h4>j)      Third party</h4>
						<p>Third party is a natural or legal person, public authority, agency or body other than the data subject, controller, processor and persons who, under the direct authority of the controller or processor, are authorised to process personal data.</p>
						</li>
						<li><h4>k)    Consent</h4>
						<p>Consent of the data subject is any freely given, specific, informed and unambiguous indication of the data subject's wishes by which he or she, by a statement or by a clear affirmative action, signifies agreement to the processing of personal data relating to him or her. </p>
						</li>
						</ul>
			
						<h4>2. Name and Address of the controller</h4>
						<p>Controller for the purposes of the General Data Protection Regulation (GDPR), other data protection laws applicable in Member states of the European Union and other provisions related to data protection is:
			
						</p>
			
						<p>Actoron GmbH</p>
						<p>Kai Jander</p>
						<p>Richardstr. 49</p>
						<p>22081 Hamburg</p>
						<p>Deutschland</p>
						<p>Phone: +49 (0)15751299571</p>
						<p>Email: info@actoron.com</p>
						<p>Website: www.actoron.com</p>
			
						<h4>3. Cookies</h4>
						<p>The Internet pages of the Actoron GmbH use cookies. Cookies are text files that are stored in a computer system via an Internet browser.</p>
			
						<p>Many Internet sites and servers use cookies. Many cookies contain a so-called cookie ID. A cookie ID is a unique identifier of the cookie. It consists of a character string through which Internet pages and servers can be assigned to the specific Internet browser in which the cookie was stored. This allows visited Internet sites and servers to differentiate the individual browser of the dats subject from other Internet browsers that contain other cookies. A specific Internet browser can be recognized and identified using the unique cookie ID.</p>
			
						<p>Through the use of cookies, the Actoron GmbH can provide the users of this website with more user-friendly services that would not be possible without the cookie setting.</p>
			
						<p>By means of a cookie, the information and offers on our website can be optimized with the user in mind. Cookies allow us, as previously mentioned, to recognize our website users. The purpose of this recognition is to make it easier for users to utilize our website. The website user that uses cookies, e.g. does not have to enter access data each time the website is accessed, because this is taken over by the website, and the cookie is thus stored on the user's computer system. Another example is the cookie of a shopping cart in an online shop. The online store remembers the articles that a customer has placed in the virtual shopping cart via a cookie.</p>
			
						<p>The data subject may, at any time, prevent the setting of cookies through our website by means of a corresponding setting of the Internet browser used, and may thus permanently deny the setting of cookies. Furthermore, already set cookies may be deleted at any time via an Internet browser or other software programs. This is possible in all popular Internet browsers. If the data subject deactivates the setting of cookies in the Internet browser used, not all functions of our website may be entirely usable.</p>
			
						<h4>4. Collection of general data and information</h4>
						<p>The website of the Actoron GmbH collects a series of general data and information when a data subject or automated system calls up the website. This general data and information are stored in the server log files. Collected may be (1) the browser types and versions used, (2) the operating system used by the accessing system, (3) the website from which an accessing system reaches our website (so-called referrers), (4) the sub-websites, (5) the date and time of access to the Internet site, (6) an Internet protocol address (IP address), (7) the Internet service provider of the accessing system, and (8) any other similar data and information that may be used in the event of attacks on our information technology systems.</p>
			
						<p>When using these general data and information, the Actoron GmbH does not draw any conclusions about the data subject. Rather, this information is needed to (1) deliver the content of our website correctly, (2) optimize the content of our website as well as its advertisement, (3) ensure the long-term viability of our information technology systems and website technology, and (4) provide law enforcement authorities with the information necessary for criminal prosecution in case of a cyber-attack. Therefore, the Actoron GmbH analyzes anonymously collected data and information statistically, with the aim of increasing the data protection and data security of our enterprise, and to ensure an optimal level of protection for the personal data we process. The anonymous data of the server log files are stored separately from all personal data provided by a data subject.</p>
			
						<h4>5. Contact possibility via the website </h4>
						<p>The website of the Actoron GmbH contains information that enables a quick electronic contact to our enterprise, as well as direct communication with us, which also includes a general address of the so-called electronic mail (e-mail address). If a data subject contacts the controller by e-mail or via a contact form, the personal data transmitted by the data subject are automatically stored. Such personal data transmitted on a voluntary basis by a data subject to the data controller are stored for the purpose of processing or contacting the data subject. There is no transfer of this personal data to third parties.</p>
			
						<h4>6. Routine erasure and blocking of personal data</h4>
						<p>The data controller shall process and store the personal data of the data subject only for the period necessary to achieve the purpose of storage, or as far as this is granted by the European legislator or other legislators in laws or regulations to which the controller is subject to.</p>
			
						<p>If the storage purpose is not applicable, or if a storage period prescribed by the European legislator or another competent legislator expires, the personal data are routinely blocked or erased in accordance with legal requirements.</p>
			
						<h4>7. Rights of the data subject</h4>
						<ul style="list-style: none;">
						<li><h4>a) Right of confirmation</h4>
						<p>Each data subject shall have the right granted by the European legislator to obtain from the controller the confirmation as to whether or not personal data concerning him or her are being processed. If a data subject wishes to avail himself of this right of confirmation, he or she may, at any time, contact any employee of the controller.</p>
						</li>
						<li><h4>b) Right of access</h4>
						<p>Each data subject shall have the right granted by the European legislator to obtain from the controller free information about his or her personal data stored at any time and a copy of this information. Furthermore, the European directives and regulations grant the data subject access to the following information:</p>
			
						<ul style="list-style: none;">
						<li>the purposes of the processing;</li>
						<li>the categories of personal data concerned;</li>
						<li>the recipients or categories of recipients to whom the personal data have been or will be disclosed, in particular recipients in third countries or international organisations;</li>
						<li>where possible, the envisaged period for which the personal data will be stored, or, if not possible, the criteria used to determine that period;</li>
						<li>the existence of the right to request from the controller rectification or erasure of personal data, or restriction of processing of personal data concerning the data subject, or to object to such processing;</li>
						<li>the existence of the right to lodge a complaint with a supervisory authority;</li>
						<li>where the personal data are not collected from the data subject, any available information as to their source;</li>
						<li>the existence of automated decision-making, including profiling, referred to in Article 22(1) and (4) of the GDPR and, at least in those cases, meaningful information about the logic involved, as well as the significance and envisaged consequences of such processing for the data subject.</li>
			
						</ul>
						<p>Furthermore, the data subject shall have a right to obtain information as to whether personal data are transferred to a third country or to an international organisation. Where this is the case, the data subject shall have the right to be informed of the appropriate safeguards relating to the transfer.</p>
			
						<p>If a data subject wishes to avail himself of this right of access, he or she may, at any time, contact any employee of the controller.</p>
						</li>
						<li><h4>c) Right to rectification </h4>
						<p>Each data subject shall have the right granted by the European legislator to obtain from the controller without undue delay the rectification of inaccurate personal data concerning him or her. Taking into account the purposes of the processing, the data subject shall have the right to have incomplete personal data completed, including by means of providing a supplementary statement.</p>
			
						<p>If a data subject wishes to exercise this right to rectification, he or she may, at any time, contact any employee of the controller.</p></li>
						<li>
						<h4>d) Right to erasure (Right to be forgotten) </h4>
						<p>Each data subject shall have the right granted by the European legislator to obtain from the controller the erasure of personal data concerning him or her without undue delay, and the controller shall have the obligation to erase personal data without undue delay where one of the following grounds applies, as long as the processing is not necessary: </p>
			
						<ul style="list-style: none;">
						<li>The personal data are no longer necessary in relation to the purposes for which they were collected or otherwise processed.</li>
						<li>The data subject withdraws consent to which the processing is based according to point (a) of Article 6(1) of the GDPR, or point (a) of Article 9(2) of the GDPR, and where there is no other legal ground for the processing.</li>
						<li>The data subject objects to the processing pursuant to Article 21(1) of the GDPR and there are no overriding legitimate grounds for the processing, or the data subject objects to the processing pursuant to Article 21(2) of the GDPR. </li>
						<li>The personal data have been unlawfully processed.</li>
						<li>The personal data must be erased for compliance with a legal obligation in Union or Member State law to which the controller is subject.</li>
						<li>The personal data have been collected in relation to the offer of information society services referred to in Article 8(1) of the GDPR.</li>
			
						</ul>
						<p>If one of the aforementioned reasons applies, and a data subject wishes to request the erasure of personal data stored by the Actoron GmbH, he or she may, at any time, contact any employee of the controller. An employee of Actoron GmbH shall promptly ensure that the erasure request is complied with immediately.</p>
			
						<p>Where the controller has made personal data public and is obliged pursuant to Article 17(1) to erase the personal data, the controller, taking account of available technology and the cost of implementation, shall take reasonable steps, including technical measures, to inform other controllers processing the personal data that the data subject has requested erasure by such controllers of any links to, or copy or replication of, those personal data, as far as processing is not required. An employees of the Actoron GmbH will arrange the necessary measures in individual cases.</p>
						</li>
						<li><h4>e) Right of restriction of processing</h4>
						<p>Each data subject shall have the right granted by the European legislator to obtain from the controller restriction of processing where one of the following applies:</p>
			
						<ul style="list-style: none;">
						<li>The accuracy of the personal data is contested by the data subject, for a period enabling the controller to verify the accuracy of the personal data. </li>
						<li>The processing is unlawful and the data subject opposes the erasure of the personal data and requests instead the restriction of their use instead.</li>
						<li>The controller no longer needs the personal data for the purposes of the processing, but they are required by the data subject for the establishment, exercise or defence of legal claims.</li>
						<li>The data subject has objected to processing pursuant to Article 21(1) of the GDPR pending the verification whether the legitimate grounds of the controller override those of the data subject.</li>
			
						</ul>
						<p>If one of the aforementioned conditions is met, and a data subject wishes to request the restriction of the processing of personal data stored by the Actoron GmbH, he or she may at any time contact any employee of the controller. The employee of the Actoron GmbH will arrange the restriction of the processing. </p>
						</li>
						<li><h4>f) Right to data portability</h4>
						<p>Each data subject shall have the right granted by the European legislator, to receive the personal data concerning him or her, which was provided to a controller, in a structured, commonly used and machine-readable format. He or she shall have the right to transmit those data to another controller without hindrance from the controller to which the personal data have been provided, as long as the processing is based on consent pursuant to point (a) of Article 6(1) of the GDPR or point (a) of Article 9(2) of the GDPR, or on a contract pursuant to point (b) of Article 6(1) of the GDPR, and the processing is carried out by automated means, as long as the processing is not necessary for the performance of a task carried out in the public interest or in the exercise of official authority vested in the controller.</p>
			
						<p>Furthermore, in exercising his or her right to data portability pursuant to Article 20(1) of the GDPR, the data subject shall have the right to have personal data transmitted directly from one controller to another, where technically feasible and when doing so does not adversely affect the rights and freedoms of others.</p>
			
						<p>In order to assert the right to data portability, the data subject may at any time contact any employee of the Actoron GmbH.</p>
			
						</li>
						<li>
						<h4>g) Right to object</h4>
						<p>Each data subject shall have the right granted by the European legislator to object, on grounds relating to his or her particular situation, at any time, to processing of personal data concerning him or her, which is based on point (e) or (f) of Article 6(1) of the GDPR. This also applies to profiling based on these provisions.</p>
			
						<p>The Actoron GmbH shall no longer process the personal data in the event of the objection, unless we can demonstrate compelling legitimate grounds for the processing which override the interests, rights and freedoms of the data subject, or for the establishment, exercise or defence of legal claims.</p>
			
						<p>If the Actoron GmbH processes personal data for direct marketing purposes, the data subject shall have the right to object at any time to processing of personal data concerning him or her for such marketing. This applies to profiling to the extent that it is related to such direct marketing. If the data subject objects to the Actoron GmbH to the processing for direct marketing purposes, the Actoron GmbH will no longer process the personal data for these purposes.</p>
			
						<p>In addition, the data subject has the right, on grounds relating to his or her particular situation, to object to processing of personal data concerning him or her by the Actoron GmbH for scientific or historical research purposes, or for statistical purposes pursuant to Article 89(1) of the GDPR, unless the processing is necessary for the performance of a task carried out for reasons of public interest.</p>
			
						<p>In order to exercise the right to object, the data subject may contact any employee of the Actoron GmbH. In addition, the data subject is free in the context of the use of information society services, and notwithstanding Directive 2002/58/EC, to use his or her right to object by automated means using technical specifications.</p>
						</li>
						<li><h4>h) Automated individual decision-making, including profiling</h4>
						<p>Each data subject shall have the right granted by the European legislator not to be subject to a decision based solely on automated processing, including profiling, which produces legal effects concerning him or her, or similarly significantly affects him or her, as long as the decision (1) is not is necessary for entering into, or the performance of, a contract between the data subject and a data controller, or (2) is not authorised by Union or Member State law to which the controller is subject and which also lays down suitable measures to safeguard the data subject's rights and freedoms and legitimate interests, or (3) is not based on the data subject's explicit consent.</p>
			
						<p>If the decision (1) is necessary for entering into, or the performance of, a contract between the data subject and a data controller, or (2) it is based on the data subject's explicit consent, the Actoron GmbH shall implement suitable measures to safeguard the data subject's rights and freedoms and legitimate interests, at least the right to obtain human intervention on the part of the controller, to express his or her point of view and contest the decision.</p>
			
						<p>If the data subject wishes to exercise the rights concerning automated individual decision-making, he or she may, at any time, contact any employee of the Actoron GmbH.</p>
			
						</li>
						<li><h4>i) Right to withdraw data protection consent </h4>
						<p>Each data subject shall have the right granted by the European legislator to withdraw his or her consent to processing of his or her personal data at any time. </p>
			
						<p>If the data subject wishes to exercise the right to withdraw the consent, he or she may, at any time, contact any employee of the Actoron GmbH.</p>
			
						</li>
						</ul>
						<h4>8. Legal basis for the processing </h4>
						<p>Art. 6(1) lit. a GDPR serves as the legal basis for processing operations for which we obtain consent for a specific processing purpose. If the processing of personal data is necessary for the performance of a contract to which the data subject is party, as is the case, for example, when processing operations are necessary for the supply of goods or to provide any other service, the processing is based on Article 6(1) lit. b GDPR. The same applies to such processing operations which are necessary for carrying out pre-contractual measures, for example in the case of inquiries concerning our products or services. Is our company subject to a legal obligation by which processing of personal data is required, such as for the fulfillment of tax obligations, the processing is based on Art. 6(1) lit. c GDPR.
						In rare cases, the processing of personal data may be necessary to protect the vital interests of the data subject or of another natural person. This would be the case, for example, if a visitor were injured in our company and his name, age, health insurance data or other vital information would have to be passed on to a doctor, hospital or other third party. Then the processing would be based on Art. 6(1) lit. d GDPR.
						Finally, processing operations could be based on Article 6(1) lit. f GDPR. This legal basis is used for processing operations which are not covered by any of the abovementioned legal grounds, if processing is necessary for the purposes of the legitimate interests pursued by our company or by a third party, except where such interests are overridden by the interests or fundamental rights and freedoms of the data subject which require protection of personal data. Such processing operations are particularly permissible because they have been specifically mentioned by the European legislator. He considered that a legitimate interest could be assumed if the data subject is a client of the controller (Recital 47 Sentence 2 GDPR).
						</p>
			
						<h4>9. The legitimate interests pursued by the controller or by a third party</h4>
						<p>Where the processing of personal data is based on Article 6(1) lit. f GDPR our legitimate interest is to carry out our business in favor of the well-being of all our employees and the shareholders.</p>
			
						<h4>10. Period for which the personal data will be stored</h4>
						<p>The criteria used to determine the period of storage of personal data is the respective statutory retention period. After expiration of that period, the corresponding data is routinely deleted, as long as it is no longer necessary for the fulfillment of the contract or the initiation of a contract.</p>
			
						<h4>11. Provision of personal data as statutory or contractual requirement; Requirement necessary to enter into a contract; Obligation of the data subject to provide the personal data; possible consequences of failure to provide such data </h4>
						<p>We clarify that the provision of personal data is partly required by law (e.g. tax regulations) or can also result from contractual provisions (e.g. information on the contractual partner).
			
						Sometimes it may be necessary to conclude a contract that the data subject provides us with personal data, which must subsequently be processed by us. The data subject is, for example, obliged to provide us with personal data when our company signs a contract with him or her. The non-provision of the personal data would have the consequence that the contract with the data subject could not be concluded.
			
						Before personal data is provided by the data subject, the data subject must contact any employee. The employee clarifies to the data subject whether the provision of the personal data is required by law or contract or is necessary for the conclusion of the contract, whether there is an obligation to provide the personal data and the consequences of non-provision of the personal data.
						</p>
			
						<h4>12. Existence of automated decision-making</h4>
						<p>As a responsible company, we do not use automatic decision-making or profiling.</p>
					</div>
					<div class="col-12" class="${!language.getLanguage()? 'visible': 'hidden'}">
			
						<h4>Datenschutzerkl&auml;rung</h4>
			
						<p>Wir freuen uns sehr &uuml;ber Ihr Interesse an unserem Unternehmen. Datenschutz hat einen besonders hohen Stellenwert f&uuml;r die Gesch&auml;ftsleitung der Actoron GmbH. Eine Nutzung der Internetseiten der Actoron GmbH ist grunds&auml;tzlich ohne jede Angabe personenbezogener Daten m&ouml;glich. Sofern eine betroffene Person besondere Services unseres Unternehmens &uuml;ber unsere Internetseite in Anspruch nehmen m&ouml;chte, k&ouml;nnte jedoch eine Verarbeitung personenbezogener Daten erforderlich werden. Ist die Verarbeitung personenbezogener Daten erforderlich und besteht f&uuml;r eine solche Verarbeitung keine gesetzliche Grundlage, holen wir generell eine Einwilligung der betroffenen Person ein.</p>
			
						<p>Die Verarbeitung personenbezogener Daten, beispielsweise des Namens, der Anschrift, E-Mail-Adresse oder Telefonnummer einer betroffenen Person, erfolgt stets im Einklang mit der Datenschutz-Grundverordnung und in &uuml;bereinstimmung mit den f&uuml;r die Actoron GmbH geltenden landesspezifischen Datenschutzbestimmungen. Mittels dieser Datenschutzerkl&auml;rung m&ouml;chte unser Unternehmen die &ouml;ffentlichkeit &uuml;ber Art, Umfang und Zweck der von uns erhobenen, genutzten und verarbeiteten personenbezogenen Daten informieren. Ferner werden betroffene Personen mittels dieser Datenschutzerkl&auml;rung &uuml;ber die ihnen zustehenden Rechte aufgekl&auml;rt.</p>
			
						<p>Die Actoron GmbH hat als f&uuml;r die Verarbeitung Verantwortlicher zahlreiche technische und organisatorische Ma&szlig;nahmen umgesetzt, um einen m&ouml;glichst l&uuml;ckenlosen Schutz der &uuml;ber diese Internetseite verarbeiteten personenbezogenen Daten sicherzustellen. Dennoch k&ouml;nnen Internetbasierte Daten&uuml;bertragungen grunds&auml;tzlich Sicherheitsl&uuml;cken aufweisen, sodass ein absoluter Schutz nicht gew&auml;hrleistet werden kann. Aus diesem Grund steht es jeder betroffenen Person frei, personenbezogene Daten auch auf alternativen Wegen, beispielsweise telefonisch, an uns zu &uuml;bermitteln.</p>
			
						<h4>1. Begriffsbestimmungen</h4>
						<p>Die Datenschutzerkl&auml;rung der Actoron GmbH beruht auf den Begrifflichkeiten, die durch den Europ&auml;ischen Richtlinien- und Verordnungsgeber beim Erlass der Datenschutz-Grundverordnung (DS-GVO) verwendet wurden. Unsere Datenschutzerkl&auml;rung soll sowohl f&uuml;r die &ouml;ffentlichkeit als auch f&uuml;r unsere Kunden und Gesch&auml;ftspartner einfach lesbar und verst&auml;ndlich sein. Um dies zu gew&auml;hrleisten, m&ouml;chten wir vorab die verwendeten Begrifflichkeiten erl&auml;utern.</p>
			
						<p>Wir verwenden in dieser Datenschutzerkl&auml;rung unter anderem die folgenden Begriffe:</p>
			
						<ul style="list-style: none">
						<li><h4>a)    personenbezogene Daten</h4>
						<p>Personenbezogene Daten sind alle Informationen, die sich auf eine identifizierte oder identifizierbare nat&uuml;rliche Person (im Folgenden "betroffene Person") beziehen. Als identifizierbar wird eine nat&uuml;rliche Person angesehen, die direkt oder indirekt, insbesondere mittels Zuordnung zu einer Kennung wie einem Namen, zu einer Kennnummer, zu Standortdaten, zu einer Online-Kennung oder zu einem oder mehreren besonderen Merkmalen, die Ausdruck der physischen, physiologischen, genetischen, psychischen, wirtschaftlichen, kulturellen oder sozialen Identit&auml;t dieser nat&uuml;rlichen Person sind, identifiziert werden kann.</p>
						</li>
						<li><h4>b)    betroffene Person</h4>
						<p>Betroffene Person ist jede identifizierte oder identifizierbare nat&uuml;rliche Person, deren personenbezogene Daten von dem f&uuml;r die Verarbeitung Verantwortlichen verarbeitet werden.</p>
						</li>
						<li><h4>c)    Verarbeitung</h4>
						<p>Verarbeitung ist jeder mit oder ohne Hilfe automatisierter Verfahren ausgef&uuml;hrte Vorgang oder jede solche Vorgangsreihe im Zusammenhang mit personenbezogenen Daten wie das Erheben, das Erfassen, die Organisation, das Ordnen, die Speicherung, die Anpassung oder Ver&auml;nderung, das Auslesen, das Abfragen, die Verwendung, die Offenlegung durch &uuml;bermittlung, Verbreitung oder eine andere Form der Bereitstellung, den Abgleich oder die Verkn&uuml;pfung, die Einschr&auml;nkung, das L&ouml;schen oder die Vernichtung.</p>
						</li>
						<li><h4>d)    Einschr&auml;nkung der Verarbeitung</h4>
						<p>Einschr&auml;nkung der Verarbeitung ist die Markierung gespeicherter personenbezogener Daten mit dem Ziel, ihre k&uuml;nftige Verarbeitung einzuschr&auml;nken.</p>
						</li>
						<li><h4>e)    Profiling</h4>
						<p>Profiling ist jede Art der automatisierten Verarbeitung personenbezogener Daten, die darin besteht, dass diese personenbezogenen Daten verwendet werden, um bestimmte pers&ouml;nliche Aspekte, die sich auf eine nat&uuml;rliche Person beziehen, zu bewerten, insbesondere, um Aspekte bez&uuml;glich Arbeitsleistung, wirtschaftlicher Lage, Gesundheit, pers&ouml;nlicher Vorlieben, Interessen, Zuverl&auml;ssigkeit, Verhalten, Aufenthaltsort oder Ortswechsel dieser nat&uuml;rlichen Person zu analysieren oder vorherzusagen.</p>
						</li>
						<li><h4>f)     Pseudonymisierung</h4>
						<p>Pseudonymisierung ist die Verarbeitung personenbezogener Daten in einer Weise, auf welche die personenbezogenen Daten ohne Hinzuziehung zus&auml;tzlicher Informationen nicht mehr einer spezifischen betroffenen Person zugeordnet werden k&ouml;nnen, sofern diese zus&auml;tzlichen Informationen gesondert aufbewahrt werden und technischen und organisatorischen Ma&szlig;nahmen unterliegen, die gew&auml;hrleisten, dass die personenbezogenen Daten nicht einer identifizierten oder identifizierbaren nat&uuml;rlichen Person zugewiesen werden.</p>
						</li>
						<li><h4>g)    Verantwortlicher oder f&uuml;r die Verarbeitung Verantwortlicher</h4>
						<p>Verantwortlicher oder f&uuml;r die Verarbeitung Verantwortlicher ist die nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, die allein oder gemeinsam mit anderen &uuml;ber die Zwecke und Mittel der Verarbeitung von personenbezogenen Daten entscheidet. Sind die Zwecke und Mittel dieser Verarbeitung durch das Unionsrecht oder das Recht der Mitgliedstaaten vorgegeben, so kann der Verantwortliche beziehungsweise k&ouml;nnen die bestimmten Kriterien seiner Benennung nach dem Unionsrecht oder dem Recht der Mitgliedstaaten vorgesehen werden.</p>
						</li>
						<li><h4>h)    Auftragsverarbeiter</h4>
						<p>Auftragsverarbeiter ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, die personenbezogene Daten im Auftrag des Verantwortlichen verarbeitet.</p>
						</li>
						<li><h4>i)      Empf&auml;nger</h4>
						<p>Empf&auml;nger ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle, der personenbezogene Daten offengelegt werden, unabh&auml;ngig davon, ob es sich bei ihr um einen Dritten handelt oder nicht. Beh&ouml;rden, die im Rahmen eines bestimmten Untersuchungsauftrags nach dem Unionsrecht oder dem Recht der Mitgliedstaaten m&ouml;glicherweise personenbezogene Daten erhalten, gelten jedoch nicht als Empf&auml;nger.</p>
						</li>
						<li><h4>j)      Dritter</h4>
						<p>Dritter ist eine nat&uuml;rliche oder juristische Person, Beh&ouml;rde, Einrichtung oder andere Stelle au&szlig;er der betroffenen Person, dem Verantwortlichen, dem Auftragsverarbeiter und den Personen, die unter der unmittelbaren Verantwortung des Verantwortlichen oder des Auftragsverarbeiters befugt sind, die personenbezogenen Daten zu verarbeiten.</p>
						</li>
						<li><h4>k)    Einwilligung</h4>
						<p>Einwilligung ist jede von der betroffenen Person freiwillig f&uuml;r den bestimmten Fall in informierter Weise und unmissverst&auml;ndlich abgegebene Willensbekundung in Form einer Erkl&auml;rung oder einer sonstigen eindeutigen best&auml;tigenden Handlung, mit der die betroffene Person zu verstehen gibt, dass sie mit der Verarbeitung der sie betreffenden personenbezogenen Daten einverstanden ist.</p>
						</li>
						</ul>
			
						<h4>2. Name und Anschrift des f&uuml;r die Verarbeitung Verantwortlichen</h4>
						<p>Verantwortlicher im Sinne der Datenschutz-Grundverordnung, sonstiger in den Mitgliedstaaten der Europ&auml;ischen Union geltenden Datenschutzgesetze und anderer Bestimmungen mit datenschutzrechtlichem Charakter ist:</p>
			
						<p>Actoron GmbH</p>
						<p>Kai Jander</p>
						<p>Richardstr. 49</p>
						<p>22081 Hamburg</p>
						<p>Deutschland</p>
						<p>Tel.: +49 (0)15751299571</p>
						<p>E-Mail: info@actoron.com</p>
						<p>Website: www.actoron.com</p>
			
						<h4>3. Cookies</h4>
						<p>Die Internetseiten der Actoron GmbH verwenden Cookies. Cookies sind Textdateien, welche &uuml;ber einen Internetbrowser auf einem Computersystem abgelegt und gespeichert werden.</p>
			
						<p>Zahlreiche Internetseiten und Server verwenden Cookies. Viele Cookies enthalten eine sogenannte Cookie-ID. Eine Cookie-ID ist eine eindeutige Kennung des Cookies. Sie besteht aus einer Zeichenfolge, durch welche Internetseiten und Server dem konkreten Internetbrowser zugeordnet werden k&ouml;nnen, in dem das Cookie gespeichert wurde. Dies erm&ouml;glicht es den besuchten Internetseiten und Servern, den individuellen Browser der betroffenen Person von anderen Internetbrowsern, die andere Cookies enthalten, zu unterscheiden. Ein bestimmter Internetbrowser kann &uuml;ber die eindeutige Cookie-ID wiedererkannt und identifiziert werden.</p>
			
						<p>Durch den Einsatz von Cookies kann die Actoron GmbH den Nutzern dieser Internetseite nutzerfreundlichere Services bereitstellen, die ohne die Cookie-Setzung nicht m&ouml;glich w&auml;ren.</p>
			
						<p>Mittels eines Cookies k&ouml;nnen die Informationen und Angebote auf unserer Internetseite im Sinne des Benutzers optimiert werden. Cookies erm&ouml;glichen uns, wie bereits erw&auml;hnt, die Benutzer unserer Internetseite wiederzuerkennen. Zweck dieser Wiedererkennung ist es, den Nutzern die Verwendung unserer Internetseite zu erleichtern. Der Benutzer einer Internetseite, die Cookies verwendet, muss beispielsweise nicht bei jedem Besuch der Internetseite erneut seine Zugangsdaten eingeben, weil dies von der Internetseite und dem auf dem Computersystem des Benutzers abgelegten Cookie &uuml;bernommen wird. Ein weiteres Beispiel ist das Cookie eines Warenkorbes im Online-Shop. Der Online-Shop merkt sich die Artikel, die ein Kunde in den virtuellen Warenkorb gelegt hat, &uuml;ber ein Cookie.</p>
			
						<p>Die betroffene Person kann die Setzung von Cookies durch unsere Internetseite jederzeit mittels einer entsprechenden Einstellung des genutzten Internetbrowsers verhindern und damit der Setzung von Cookies dauerhaft widersprechen. Ferner k&ouml;nnen bereits gesetzte Cookies jederzeit &uuml;ber einen Internetbrowser oder andere Softwareprogramme gel&ouml;scht werden. Dies ist in allen g&auml;ngigen Internetbrowsern m&ouml;glich. Deaktiviert die betroffene Person die Setzung von Cookies in dem genutzten Internetbrowser, sind unter Umst&auml;nden nicht alle Funktionen unserer Internetseite vollumf&auml;nglich nutzbar.</p>
			
						<h4>4. Erfassung von allgemeinen Daten und Informationen</h4>
						<p>Die Internetseite der Actoron GmbH erfasst mit jedem Aufruf der Internetseite durch eine betroffene Person oder ein automatisiertes System eine Reihe von allgemeinen Daten und Informationen. Diese allgemeinen Daten und Informationen werden in den Logfiles des Servers gespeichert. Erfasst werden k&ouml;nnen die (1) verwendeten Browsertypen und Versionen, (2) das vom zugreifenden System verwendete Betriebssystem, (3) die Internetseite, von welcher ein zugreifendes System auf unsere Internetseite gelangt (sogenannte Referrer), (4) die Unterwebseiten, welche &uuml;ber ein zugreifendes System auf unserer Internetseite angesteuert werden, (5) das Datum und die Uhrzeit eines Zugriffs auf die Internetseite, (6) eine Internet-Protokoll-Adresse (IP-Adresse), (7) der Internet-Service-Provider des zugreifenden Systems und (8) sonstige &auml;hnliche Daten und Informationen, die der Gefahrenabwehr im Falle von Angriffen auf unsere informationstechnologischen Systeme dienen.</p>
			
						<p>Bei der Nutzung dieser allgemeinen Daten und Informationen zieht die Actoron GmbH keine R&uuml;ckschl&uuml;sse auf die betroffene Person. Diese Informationen werden vielmehr ben&ouml;tigt, um (1) die Inhalte unserer Internetseite korrekt auszuliefern, (2) die Inhalte unserer Internetseite sowie die Werbung f&uuml;r diese zu optimieren, (3) die dauerhafte Funktionsf&auml;higkeit unserer informationstechnologischen Systeme und der Technik unserer Internetseite zu gew&auml;hrleisten sowie (4) um Strafverfolgungsbeh&ouml;rden im Falle eines Cyberangriffes die zur Strafverfolgung notwendigen Informationen bereitzustellen. Diese anonym erhobenen Daten und Informationen werden durch die Actoron GmbH daher einerseits statistisch und ferner mit dem Ziel ausgewertet, den Datenschutz und die Datensicherheit in unserem Unternehmen zu erh&ouml;hen, um letztlich ein optimales Schutzniveau f&uuml;r die von uns verarbeiteten personenbezogenen Daten sicherzustellen. Die anonymen Daten der Server-Logfiles werden getrennt von allen durch eine betroffene Person angegebenen personenbezogenen Daten gespeichert.</p>
			
						<h4>5. Kontaktm&ouml;glichkeit &uuml;ber die Internetseite</h4>
						<p>Die Internetseite der Actoron GmbH enth&auml;lt aufgrund von gesetzlichen Vorschriften Angaben, die eine schnelle elektronische Kontaktaufnahme zu unserem Unternehmen sowie eine unmittelbare Kommunikation mit uns erm&ouml;glichen, was ebenfalls eine allgemeine Adresse der sogenannten elektronischen Post (E-Mail-Adresse) umfasst. Sofern eine betroffene Person per E-Mail oder &uuml;ber ein Kontaktformular den Kontakt mit dem f&uuml;r die Verarbeitung Verantwortlichen aufnimmt, werden die von der betroffenen Person &uuml;bermittelten personenbezogenen Daten automatisch gespeichert. Solche auf freiwilliger Basis von einer betroffenen Person an den f&uuml;r die Verarbeitung Verantwortlichen &uuml;bermittelten personenbezogenen Daten werden f&uuml;r Zwecke der Bearbeitung oder der Kontaktaufnahme zur betroffenen Person gespeichert. Es erfolgt keine Weitergabe dieser personenbezogenen Daten an Dritte.</p>
			
						<h4>6. Routinem&auml;&szlig;ige L&ouml;schung und Sperrung von personenbezogenen Daten</h4>
						<p>Der f&uuml;r die Verarbeitung Verantwortliche verarbeitet und speichert personenbezogene Daten der betroffenen Person nur f&uuml;r den Zeitraum, der zur Erreichung des Speicherungszwecks erforderlich ist oder sofern dies durch den Europ&auml;ischen Richtlinien- und Verordnungsgeber oder einen anderen Gesetzgeber in Gesetzen oder Vorschriften, welchen der f&uuml;r die Verarbeitung Verantwortliche unterliegt, vorgesehen wurde.</p>
			
						<p>Entf&auml;llt der Speicherungszweck oder l&auml;uft eine vom Europ&auml;ischen Richtlinien- und Verordnungsgeber oder einem anderen zust&auml;ndigen Gesetzgeber vorgeschriebene Speicherfrist ab, werden die personenbezogenen Daten routinem&auml;&szlig;ig und entsprechend den gesetzlichen Vorschriften gesperrt oder gel&ouml;scht.</p>
			
						<h4>7. Rechte der betroffenen Person</h4>
						<ul style="list-style: none;">
						<li><h4>a)    Recht auf Best&auml;tigung</h4>
						<p>Jede betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber einger&auml;umte Recht, von dem f&uuml;r die Verarbeitung Verantwortlichen eine Best&auml;tigung dar&uuml;ber zu verlangen, ob sie betreffende personenbezogene Daten verarbeitet werden. M&ouml;chte eine betroffene Person dieses Best&auml;tigungsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
						</li>
						<li><h4>b)    Recht auf Auskunft</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, jederzeit von dem f&uuml;r die Verarbeitung Verantwortlichen unentgeltliche Auskunft &uuml;ber die zu seiner Person gespeicherten personenbezogenen Daten und eine Kopie dieser Auskunft zu erhalten. Ferner hat der Europ&auml;ische Richtlinien- und Verordnungsgeber der betroffenen Person Auskunft &uuml;ber folgende Informationen zugestanden:</p>
			
						<ul style="list-style: none;">
						<li>die Verarbeitungszwecke</li>
						<li>die Kategorien personenbezogener Daten, die verarbeitet werden</li>
						<li>die Empf&auml;nger oder Kategorien von Empf&auml;ngern, gegen&uuml;ber denen die personenbezogenen Daten offengelegt worden sind oder noch offengelegt werden, insbesondere bei Empf&auml;ngern in Drittl&auml;ndern oder bei internationalen Organisationen</li>
						<li>falls m&ouml;glich die geplante Dauer, f&uuml;r die die personenbezogenen Daten gespeichert werden, oder, falls dies nicht m&ouml;glich ist, die Kriterien f&uuml;r die Festlegung dieser Dauer</li>
						<li>das Bestehen eines Rechts auf Berichtigung oder L&ouml;schung der sie betreffenden personenbezogenen Daten oder auf Einschr&auml;nkung der Verarbeitung durch den Verantwortlichen oder eines Widerspruchsrechts gegen diese Verarbeitung</li>
						<li>das Bestehen eines Beschwerderechts bei einer Aufsichtsbeh&ouml;rde</li>
						<li>wenn die personenbezogenen Daten nicht bei der betroffenen Person erhoben werden: Alle verf&uuml;gbaren Informationen &uuml;ber die Herkunft der Daten</li>
						<li>das Bestehen einer automatisierten Entscheidungsfindung einschlie&szlig;lich Profiling gem&auml;&szlig; Artikel 22 Abs.1 und 4 DS-GVO und - zumindest in diesen F&auml;llen - aussagekr&auml;ftige Informationen &uuml;ber die involvierte Logik sowie die Tragweite und die angestrebten Auswirkungen einer derartigen Verarbeitung f&uuml;r die betroffene Person</li>
			
						</ul>
						<p>Ferner steht der betroffenen Person ein Auskunftsrecht dar&uuml;ber zu, ob personenbezogene Daten an ein Drittland oder an eine internationale Organisation &uuml;bermittelt wurden. Sofern dies der Fall ist, so steht der betroffenen Person im &uuml;brigen das Recht zu, Auskunft &uuml;ber die geeigneten Garantien im Zusammenhang mit der &uuml;bermittlung zu erhalten.</p>
			
						<p>M&ouml;chte eine betroffene Person dieses Auskunftsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
						</li>
						<li><h4>c)    Recht auf Berichtigung</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, die unverz&uuml;gliche Berichtigung sie betreffender unrichtiger personenbezogener Daten zu verlangen. Ferner steht der betroffenen Person das Recht zu, unter Ber&uuml;cksichtigung der Zwecke der Verarbeitung, die Vervollst&auml;ndigung unvollst&auml;ndiger personenbezogener Daten - auch mittels einer erg&auml;nzenden Erkl&auml;rung - zu verlangen.</p>
			
						<p>M&ouml;chte eine betroffene Person dieses Berichtigungsrecht in Anspruch nehmen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p></li>
						<li>
						<h4>d)    Recht auf L&ouml;schung (Recht auf Vergessen werden)</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, von dem Verantwortlichen zu verlangen, dass die sie betreffenden personenbezogenen Daten unverz&uuml;glich gel&ouml;scht werden, sofern einer der folgenden Gr&uuml;nde zutrifft und soweit die Verarbeitung nicht erforderlich ist:</p>
			
						<ul style="list-style: none;">
						<li>Die personenbezogenen Daten wurden f&uuml;r solche Zwecke erhoben oder auf sonstige Weise verarbeitet, f&uuml;r welche sie nicht mehr notwendig sind.</li>
						<li>Die betroffene Person widerruft ihre Einwilligung, auf die sich die Verarbeitung gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe a DS-GVO oder Art. 9 Abs. 2 Buchstabe a DS-GVO st&uuml;tzte, und es fehlt an einer anderweitigen Rechtsgrundlage f&uuml;r die Verarbeitung.</li>
						<li>Die betroffene Person legt gem&auml;&szlig; Art. 21 Abs. 1 DS-GVO Widerspruch gegen die Verarbeitung ein, und es liegen keine vorrangigen berechtigten Gr&uuml;nde f&uuml;r die Verarbeitung vor, oder die betroffene Person legt gem&auml;&szlig; Art. 21 Abs. 2 DS-GVO Widerspruch gegen die Verarbeitung ein.</li>
						<li>Die personenbezogenen Daten wurden unrechtm&auml;&szlig;ig verarbeitet.</li>
						<li>Die L&ouml;schung der personenbezogenen Daten ist zur Erf&uuml;llung einer rechtlichen Verpflichtung nach dem Unionsrecht oder dem Recht der Mitgliedstaaten erforderlich, dem der Verantwortliche unterliegt.</li>
						<li>Die personenbezogenen Daten wurden in Bezug auf angebotene Dienste der Informationsgesellschaft gem&auml;&szlig; Art. 8 Abs. 1 DS-GVO erhoben.</li>
			
						</ul>
						<p>Sofern einer der oben genannten Gr&uuml;nde zutrifft und eine betroffene Person die L&ouml;schung von personenbezogenen Daten, die bei der Actoron GmbH gespeichert sind, veranlassen m&ouml;chte, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden. Der Mitarbeiter der Actoron GmbH wird veranlassen, dass dem L&ouml;schverlangen unverz&uuml;glich nachgekommen wird.</p>
			
						<p>Wurden die personenbezogenen Daten von der Actoron GmbH &ouml;ffentlich gemacht und ist unser Unternehmen als Verantwortlicher gem&auml;&szlig; Art. 17 Abs. 1 DS-GVO zur L&ouml;schung der personenbezogenen Daten verpflichtet, so trifft die Actoron GmbH unter Ber&uuml;cksichtigung der verf&uuml;gbaren Technologie und der Implementierungskosten angemessene Ma&szlig;nahmen, auch technischer Art, um andere f&uuml;r die Datenverarbeitung Verantwortliche, welche die ver&ouml;ffentlichten personenbezogenen Daten verarbeiten, dar&uuml;ber in Kenntnis zu setzen, dass die betroffene Person von diesen anderen f&uuml;r die Datenverarbeitung Verantwortlichen die L&ouml;schung s&auml;mtlicher Links zu diesen personenbezogenen Daten oder von Kopien oder Replikationen dieser personenbezogenen Daten verlangt hat, soweit die Verarbeitung nicht erforderlich ist. Der Mitarbeiter der Actoron GmbH wird im Einzelfall das Notwendige veranlassen.</p>
						</li>
						<li><h4>e)    Recht auf Einschr&auml;nkung der Verarbeitung</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, von dem Verantwortlichen die Einschr&auml;nkung der Verarbeitung zu verlangen, wenn eine der folgenden Voraussetzungen gegeben ist:</p>
			
						<ul style="list-style: none;">
						<li>Die Richtigkeit der personenbezogenen Daten wird von der betroffenen Person bestritten, und zwar f&uuml;r eine Dauer, die es dem Verantwortlichen erm&ouml;glicht, die Richtigkeit der personenbezogenen Daten zu &uuml;berpr&uuml;fen.</li>
						<li>Die Verarbeitung ist unrechtm&auml;&szlig;ig, die betroffene Person lehnt die L&ouml;schung der personenbezogenen Daten ab und verlangt stattdessen die Einschr&auml;nkung der Nutzung der personenbezogenen Daten.</li>
						<li>Der Verantwortliche ben&ouml;tigt die personenbezogenen Daten f&uuml;r die Zwecke der Verarbeitung nicht l&auml;nger, die betroffene Person ben&ouml;tigt sie jedoch zur Geltendmachung, Aus&uuml;bung oder Verteidigung von Rechtsanspr&uuml;chen.</li>
						<li>Die betroffene Person hat Widerspruch gegen die Verarbeitung gem. Art. 21 Abs. 1 DS-GVO eingelegt und es steht noch nicht fest, ob die berechtigten Gr&uuml;nde des Verantwortlichen gegen&uuml;ber denen der betroffenen Person &uuml;berwiegen.</li>
			
						</ul>
						<p>Sofern eine der oben genannten Voraussetzungen gegeben ist und eine betroffene Person die Einschr&auml;nkung von personenbezogenen Daten, die bei der Actoron GmbH gespeichert sind, verlangen m&ouml;chte, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden. Der Mitarbeiter der Actoron GmbH wird die Einschr&auml;nkung der Verarbeitung veranlassen.</p>
						</li>
						<li><h4>f)     Recht auf Daten&uuml;bertragbarkeit</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, die sie betreffenden personenbezogenen Daten, welche durch die betroffene Person einem Verantwortlichen bereitgestellt wurden, in einem strukturierten, g&auml;ngigen und maschinenlesbaren Format zu erhalten. Sie hat au&szlig;erdem das Recht, diese Daten einem anderen Verantwortlichen ohne Behinderung durch den Verantwortlichen, dem die personenbezogenen Daten bereitgestellt wurden, zu &uuml;bermitteln, sofern die Verarbeitung auf der Einwilligung gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe a DS-GVO oder Art. 9 Abs. 2 Buchstabe a DS-GVO oder auf einem Vertrag gem&auml;&szlig; Art. 6 Abs. 1 Buchstabe b DS-GVO beruht und die Verarbeitung mithilfe automatisierter Verfahren erfolgt, sofern die Verarbeitung nicht f&uuml;r die Wahrnehmung einer Aufgabe erforderlich ist, die im &ouml;ffentlichen Interesse liegt oder in Aus&uuml;bung &ouml;ffentlicher Gewalt erfolgt, welche dem Verantwortlichen &uuml;bertragen wurde.</p>
			
						<p>Ferner hat die betroffene Person bei der Aus&uuml;bung ihres Rechts auf Daten&uuml;bertragbarkeit gem&auml;&szlig; Art. 20 Abs. 1 DS-GVO das Recht, zu erwirken, dass die personenbezogenen Daten direkt von einem Verantwortlichen an einen anderen Verantwortlichen &uuml;bermittelt werden, soweit dies technisch machbar ist und sofern hiervon nicht die Rechte und Freiheiten anderer Personen beeintr&auml;chtigt werden.</p>
			
						<p>Zur Geltendmachung des Rechts auf Daten&uuml;bertragbarkeit kann sich die betroffene Person jederzeit an einen Mitarbeiter der Actoron GmbH wenden.</p>
			
						</li>
						<li>
						<h4>g)    Recht auf Widerspruch</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, aus Gr&uuml;nden, die sich aus ihrer besonderen Situation ergeben, jederzeit gegen die Verarbeitung sie betreffender personenbezogener Daten, die aufgrund von Art. 6 Abs. 1 Buchstaben e oder f DS-GVO erfolgt, Widerspruch einzulegen. Dies gilt auch f&uuml;r ein auf diese Bestimmungen gest&uuml;tztes Profiling.</p>
			
						<p>Die Actoron GmbH verarbeitet die personenbezogenen Daten im Falle des Widerspruchs nicht mehr, es sei denn, wir k&ouml;nnen zwingende schutzw&uuml;rdige Gr&uuml;nde f&uuml;r die Verarbeitung nachweisen, die den Interessen, Rechten und Freiheiten der betroffenen Person &uuml;berwiegen, oder die Verarbeitung dient der Geltendmachung, Aus&uuml;bung oder Verteidigung von Rechtsanspr&uuml;chen.</p>
			
						<p>Verarbeitet die Actoron GmbH personenbezogene Daten, um Direktwerbung zu betreiben, so hat die betroffene Person das Recht, jederzeit Widerspruch gegen die Verarbeitung der personenbezogenen Daten zum Zwecke derartiger Werbung einzulegen. Dies gilt auch f&uuml;r das Profiling, soweit es mit solcher Direktwerbung in Verbindung steht. Widerspricht die betroffene Person gegen&uuml;ber der Actoron GmbH der Verarbeitung f&uuml;r Zwecke der Direktwerbung, so wird die Actoron GmbH die personenbezogenen Daten nicht mehr f&uuml;r diese Zwecke verarbeiten.</p>
			
						<p>Zudem hat die betroffene Person das Recht, aus Gr&uuml;nden, die sich aus ihrer besonderen Situation ergeben, gegen die sie betreffende Verarbeitung personenbezogener Daten, die bei der Actoron GmbH zu wissenschaftlichen oder historischen Forschungszwecken oder zu statistischen Zwecken gem&auml;&szlig; Art. 89 Abs. 1 DS-GVO erfolgen, Widerspruch einzulegen, es sei denn, eine solche Verarbeitung ist zur Erf&uuml;llung einer im &ouml;ffentlichen Interesse liegenden Aufgabe erforderlich.</p>
			
						<p>Zur Aus&uuml;bung des Rechts auf Widerspruch kann sich die betroffene Person direkt jeden Mitarbeiter der Actoron GmbH oder einen anderen Mitarbeiter wenden. Der betroffenen Person steht es ferner frei, im Zusammenhang mit der Nutzung von Diensten der Informationsgesellschaft, ungeachtet der Richtlinie 2002/58/EG, ihr Widerspruchsrecht mittels automatisierter Verfahren auszu&uuml;ben, bei denen technische Spezifikationen verwendet werden.</p>
						</li>
						<li><h4>h)    Automatisierte Entscheidungen im Einzelfall einschlie&szlig;lich Profiling</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, nicht einer ausschlie&szlig;lich auf einer automatisierten Verarbeitung - einschlie&szlig;lich Profiling - beruhenden Entscheidung unterworfen zu werden, die ihr gegen&uuml;ber rechtliche Wirkung entfaltet oder sie in &auml;hnlicher Weise erheblich beeintr&auml;chtigt, sofern die Entscheidung (1) nicht f&uuml;r den Abschluss oder die Erf&uuml;llung eines Vertrags zwischen der betroffenen Person und dem Verantwortlichen erforderlich ist, oder (2) aufgrund von Rechtsvorschriften der Union oder der Mitgliedstaaten, denen der Verantwortliche unterliegt, zul&auml;ssig ist und diese Rechtsvorschriften angemessene Ma&szlig;nahmen zur Wahrung der Rechte und Freiheiten sowie der berechtigten Interessen der betroffenen Person enthalten oder (3) mit ausdr&uuml;cklicher Einwilligung der betroffenen Person erfolgt.</p>
			
						<p>Ist die Entscheidung (1) f&uuml;r den Abschluss oder die Erf&uuml;llung eines Vertrags zwischen der betroffenen Person und dem Verantwortlichen erforderlich oder (2) erfolgt sie mit ausdr&uuml;cklicher Einwilligung der betroffenen Person, trifft die Actoron GmbH angemessene Ma&szlig;nahmen, um die Rechte und Freiheiten sowie die berechtigten Interessen der betroffenen Person zu wahren, wozu mindestens das Recht auf Erwirkung des Eingreifens einer Person seitens des Verantwortlichen, auf Darlegung des eigenen Standpunkts und auf Anfechtung der Entscheidung geh&ouml;rt.</p>
			
						<p>M&ouml;chte die betroffene Person Rechte mit Bezug auf automatisierte Entscheidungen geltend machen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
			
						</li>
						<li><h4>i)      Recht auf Widerruf einer datenschutzrechtlichen Einwilligung</h4>
						<p>Jede von der Verarbeitung personenbezogener Daten betroffene Person hat das vom Europ&auml;ischen Richtlinien- und Verordnungsgeber gew&auml;hrte Recht, eine Einwilligung zur Verarbeitung personenbezogener Daten jederzeit zu widerrufen.</p>
			
						<p>M&ouml;chte die betroffene Person ihr Recht auf Widerruf einer Einwilligung geltend machen, kann sie sich hierzu jederzeit an einen Mitarbeiter des f&uuml;r die Verarbeitung Verantwortlichen wenden.</p>
			
						</li>
						</ul>
						<h4>8. Rechtsgrundlage der Verarbeitung</h4>
						<p>Art. 6 I lit. a DS-GVO dient unserem Unternehmen als Rechtsgrundlage f&uuml;r Verarbeitungsvorg&auml;nge, bei denen wir eine Einwilligung f&uuml;r einen bestimmten Verarbeitungszweck einholen. Ist die Verarbeitung personenbezogener Daten zur Erf&uuml;llung eines Vertrags, dessen Vertragspartei die betroffene Person ist, erforderlich, wie dies beispielsweise bei Verarbeitungsvorg&auml;ngen der Fall ist, die f&uuml;r eine Lieferung von Waren oder die Erbringung einer sonstigen Leistung oder Gegenleistung notwendig sind, so beruht die Verarbeitung auf Art. 6 I lit. b DS-GVO. Gleiches gilt f&uuml;r solche Verarbeitungsvorg&auml;nge die zur Durchf&uuml;hrung vorvertraglicher Ma&szlig;nahmen erforderlich sind, etwa in F&auml;llen von Anfragen zur unseren Produkten oder Leistungen. Unterliegt unser Unternehmen einer rechtlichen Verpflichtung durch welche eine Verarbeitung von personenbezogenen Daten erforderlich wird, wie beispielsweise zur Erf&uuml;llung steuerlicher Pflichten, so basiert die Verarbeitung auf Art. 6 I lit. c DS-GVO. In seltenen F&auml;llen k&ouml;nnte die Verarbeitung von personenbezogenen Daten erforderlich werden, um lebenswichtige Interessen der betroffenen Person oder einer anderen nat&uuml;rlichen Person zu sch&uuml;tzen. Dies w&auml;re beispielsweise der Fall, wenn ein Besucher in unserem Betrieb verletzt werden w&uuml;rde und daraufhin sein Name, sein Alter, seine Krankenkassendaten oder sonstige lebenswichtige Informationen an einen Arzt, ein Krankenhaus oder sonstige Dritte weitergegeben werden m&uuml;ssten. Dann w&uuml;rde die Verarbeitung auf Art. 6 I lit. d DS-GVO beruhen.
						Letztlich k&ouml;nnten Verarbeitungsvorg&auml;nge auf Art. 6 I lit. f DS-GVO beruhen. Auf dieser Rechtsgrundlage basieren Verarbeitungsvorg&auml;nge, die von keiner der vorgenannten Rechtsgrundlagen erfasst werden, wenn die Verarbeitung zur Wahrung eines berechtigten Interesses unseres Unternehmens oder eines Dritten erforderlich ist, sofern die Interessen, Grundrechte und Grundfreiheiten des Betroffenen nicht &uuml;berwiegen. Solche Verarbeitungsvorg&auml;nge sind uns insbesondere deshalb gestattet, weil sie durch den Europ&auml;ischen Gesetzgeber besonders erw&auml;hnt wurden. Er vertrat insoweit die Auffassung, dass ein berechtigtes Interesse anzunehmen sein k&ouml;nnte, wenn die betroffene Person ein Kunde des Verantwortlichen ist (Erw&auml;gungsgrund 47 Satz 2 DS-GVO).
						</p>
			
						<h4>9. Berechtigte Interessen an der Verarbeitung, die von dem Verantwortlichen oder einem Dritten verfolgt werden</h4>
						<p>Basiert die Verarbeitung personenbezogener Daten auf Artikel 6 I lit. f DS-GVO ist unser berechtigtes Interesse die Durchf&uuml;hrung unserer Gesch&auml;ftst&auml;tigkeit zugunsten des Wohlergehens all unserer Mitarbeiter und unserer Anteilseigner.</p>
			
						<h4>10. Dauer, f&uuml;r die die personenbezogenen Daten gespeichert werden</h4>
						<p>Das Kriterium f&uuml;r die Dauer der Speicherung von personenbezogenen Daten ist die jeweilige gesetzliche Aufbewahrungsfrist. Nach Ablauf der Frist werden die entsprechenden Daten routinem&auml;&szlig;ig gel&ouml;scht, sofern sie nicht mehr zur Vertragserf&uuml;llung oder Vertragsanbahnung erforderlich sind.</p>
			
						<h4>11. Gesetzliche oder vertragliche Vorschriften zur Bereitstellung der personenbezogenen Daten; Erforderlichkeit f&uuml;r den Vertragsabschluss; Verpflichtung der betroffenen Person, die personenbezogenen Daten bereitzustellen; m&ouml;gliche Folgen der Nichtbereitstellung</h4>
						<p>Wir kl&auml;ren Sie dar&uuml;ber auf, dass die Bereitstellung personenbezogener Daten zum Teil gesetzlich vorgeschrieben ist (z.B. Steuervorschriften) oder sich auch aus vertraglichen Regelungen (z.B. Angaben zum Vertragspartner) ergeben kann.
						Mitunter kann es zu einem Vertragsschluss erforderlich sein, dass eine betroffene Person uns personenbezogene Daten zur Verf&uuml;gung stellt, die in der Folge durch uns verarbeitet werden m&uuml;ssen. Die betroffene Person ist beispielsweise verpflichtet uns personenbezogene Daten bereitzustellen, wenn unser Unternehmen mit ihr einen Vertrag abschlie&szlig;t. Eine Nichtbereitstellung der personenbezogenen Daten h&auml;tte zur Folge, dass der Vertrag mit dem Betroffenen nicht geschlossen werden k&ouml;nnte.
						Vor einer Bereitstellung personenbezogener Daten durch den Betroffenen muss sich der Betroffene an einen unserer Mitarbeiter wenden. Unser Mitarbeiter kl&auml;rt den Betroffenen einzelfallbezogen dar&uuml;ber auf, ob die Bereitstellung der personenbezogenen Daten gesetzlich oder vertraglich vorgeschrieben oder f&uuml;r den Vertragsabschluss erforderlich ist, ob eine Verpflichtung besteht, die personenbezogenen Daten bereitzustellen, und welche Folgen die Nichtbereitstellung der personenbezogenen Daten h&auml;tte.
						</p>
			
						<h4>12. Bestehen einer automatisierten Entscheidungsfindung</h4>
						<p>Als verantwortungsbewusstes Unternehmen verzichten wir auf eine automatische Entscheidungsfindung oder ein Profiling.</p>
					</div>
				</div>
			</div>
		`;
	}
}

if(customElements.get('jadex-privacy') === undefined)
	customElements.define('jadex-privacy', PrivacyElement);
